#include <iostream>
using namespace std;
int main()
{
    int i,n,m,q;
    cin>>n>>m;
    int niz[n];
    for(i=0;i<n;i++)
        cin>>niz[i];
    bool zid[n][m];
    for(i=0;i<n;i++)
        for(q=0;q<m;q++)
            zid[i][q]=0;
    for(i=0;i<n;i++)
        for(q=0;q<niz[i];q++)
            if(niz[i]==m)
                break;
            else
                zid[i][q]=1;
    int s=0,a,b;
    for(i=0;i<m;i++){
        a=0;b=0;
        for(q=0;q<n;q++)
            if(zid[q][i])
                a++;
            else
                b++;
        s+=a*b;
    }
    cout<<s;
}